Anonymous Login
2019-08-25 22:13 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000432v3.2 ReleaseCore Infrastructurepublic2014-07-16 21:28
Reporterorcusomega 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0000432: Consistency of navigation through modules\items
DescriptionTransition through pages are not consistent with user's actions.
- If I open a task, and click "Add file", after the file is added, I am redirected to the Files module, not to the task I was editing.
- If I edit a task by clicking on the "edit task" icon in project list view, when submitted, I am returned to the task list. If I open the task and then edit, instead of going back to the task I was editing for additional actions (adding files, logs, etc) I am instead sent to the task list.
Additional InformationThis lack of consistent behavior is a major usability issue for me, since I am gathering the feedback from various participants, and had to resort to making bookmarks on my address bar for the high-level tasks (dynamic tasks) when trying to update children tasks in ways that are not in Project Designer.
TagsNo tags attached.
Attached Files

-Relationships
parent of 0000730closedcaseydk v2.3 Release (Closed) Uploading file returns user to main Files dialogue not related Project/Task 
related to 0001546new Pending Requests bad return page from addedit files 
+Relationships

-Notes

~0000951

caseydk (administrator)

This definitely does need cleanup but we need a plan/priority list for which paths/actions lead where.

For example, adding a file can be done from the top navigation (aka anywhere), the Files Module, the Task View, or the Project View. Most likely, each of those should return to a separate place, but there's not a clear path for each..

Any and all feedback is welcome.

~0001598

elforesto (reporter)

It would probably make the most sense to act in a "breadcrumb" fashion and return to the previous URL after that add/edit action. That could be done as either a POST or a GET.

~0001667

simonnzg (reporter)

On caseydk's suggestion, I've started listing places where the return page isn't what you'd expect. It all seems to be the same sort of thing. If you want different information, just say and I'll change it.
https://spreadsheets.google.com/ccc?key=0AsPHyIQCh8JgdGxyYjJxNVBCODFjdnFXSnZoaHgtUEE&hl=en&authkey=CLfc9sYE

~0001837

simonnzg (reporter)

Whoops. Missed one.
On checking out a file today I got returned to the default files list instead of the files list of the project I was working on.
From: /index.php?m=files&a=co&file_id=312
To: /index.php?m=files
I'd prefer: /index.php?m=projects&a=view&project_id=818&tab=6

I've added it to the Google Spreadsheet

~0001839

caseydk (administrator)

Thanks. Is this under 2.3?

We fixed a handful of those in the v2.3 release - contacts, projects, and I think files - but there are still many open.

~0001840

simonnzg (reporter)

Yes, 2.3. I forgot this category was primarily looking towards 3.0.

~0001841

caseydk (administrator)

Except for critical/security fixes, we normally don't do an update to an existing release.

So everything is towards v3.0 :)

~0001842

simonnzg (reporter)

Onwards and upwards! Best you know about it lest it follows us into 3.0, I suppose. ;-)

~0003372

caseydk (administrator)

By the way, all of these except for the Files upload one were fixed in v3.0/3.1

~0003394

caseydk (administrator)

All of these are resolved except for the Files which is documented in 0001546 so I'm calling this one closed.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-07 09:44 orcusomega New Issue
2010-06-04 22:16 caseydk Project v2.0 Release (Closed) => Pending Requests
2010-06-04 22:19 caseydk Note Added: 0000951
2010-06-04 22:19 caseydk Status new => feedback
2010-08-12 23:15 caseydk Project Pending Requests => v2.2 Release (Closed)
2010-12-04 00:07 caseydk Project v2.2 Release (Closed) => Pending Requests
2011-02-07 14:58 elforesto Note Added: 0001598
2011-02-22 05:55 caseydk Relationship added parent of 0000730
2011-02-23 00:26 simonnzg Note Added: 0001667
2011-02-24 01:10 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-04-05 00:09 simonnzg Note Added: 0001837
2011-04-05 10:20 caseydk Note Added: 0001839
2011-04-05 10:54 simonnzg Note Added: 0001840
2011-04-05 10:56 caseydk Note Added: 0001841
2011-04-05 12:13 simonnzg Note Added: 0001842
2011-06-07 22:16 caseydk Project v2.4 Release (Closed) => Pending Requests
2014-05-20 20:51 caseydk Note Added: 0003372
2014-05-20 20:51 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-05-22 19:54 caseydk Category General => Core Infrastructure
2014-05-26 20:10 caseydk Relationship added parent of 0001546
2014-05-26 20:11 caseydk Project v4.0 Release (Planning) => v3.2 Release
2014-05-26 20:11 caseydk Relationship deleted parent of 0001546
2014-05-26 20:12 caseydk Relationship added related to 0001546
2014-05-26 20:13 caseydk Note Added: 0003394
2014-05-26 20:13 caseydk Status feedback => resolved
2014-05-26 20:13 caseydk Resolution open => fixed
2014-05-26 20:13 caseydk Assigned To => caseydk
2014-06-10 22:09 caseydk Target Version => 3.2
2014-07-16 21:26 caseydk Fixed in Version => 3.2
2014-07-16 21:28 caseydk Status resolved => closed
+Issue History